# Dapr 1.9.4
 
## Fixes MQTT pubsub component failure to read messages on startup when multiple subscriptions are configured
 
### Problem
 
When using the MQTT component users who had multiple subcriptions could encounter an issue where messages would stop being processed for the component.
 
### Impact
 
This issue impacts users of the MQTT pubsub component on Dapr 1.9.0-1.9.3 that subscribe to multiple topics using the same component.
 
### Root cause
 
The issue occurs when there are two or more subscriptions, messages are being published to the first topic only, and the subscriber gets killed after publishing a few messages. If the subscriber comes back online after a few (two or more) messages have been published already, then it will only deliver the first pending message and stop.

In the situation above, Dapr could enter into a deadlock and stop processing messages from MQTT.

The issue was traced back to an error in the upstream MQTT SDK used by Dapr

### Solution
 
We have upgraded the MQTT SDK used by Dapr to a new version which fixes the error.